<?xml version="1.0" encoding="UTF-8"?>
<persistence version="2.1" xmlns="http://xmlns.jcp.org/xml/ns/persistence" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://xmlns.jcp.org/xml/ns/persistence http://xmlns.jcp.org/xml/ns/persistence/persistence_2_1.xsd">
  <persistence-unit name="TimetablerPG" transaction-type="RESOURCE_LOCAL">
    <provider>org.hibernate.jpa.HibernatePersistenceProvider</provider>
    <class>cz.cvut.fit.kosapi2timetabler.timetabler_db.Department</class>
    <class>cz.cvut.fit.kosapi2timetabler.timetabler_db.Teacher</class>
    <class>cz.cvut.fit.kosapi2timetabler.timetabler_db.Activity</class>
    <class>cz.cvut.fit.kosapi2timetabler.timetabler_db.ActivityType</class>
    <class>cz.cvut.fit.kosapi2timetabler.timetabler_db.Availability</class>
    <class>cz.cvut.fit.kosapi2timetabler.timetabler_db.Module</class>
    <class>cz.cvut.fit.kosapi2timetabler.timetabler_db.Location</class>
    <class>cz.cvut.fit.kosapi2timetabler.timetabler_db.Student</class>
    <class>cz.cvut.fit.kosapi2timetabler.timetabler_db.StudentSet</class>
    <class>cz.cvut.fit.kosapi2timetabler.timetabler_db.Suitability</class>
    <class>cz.cvut.fit.kosapi2timetabler.timetabler_db.TeacherConstraint</class>
    <class>cz.cvut.fit.kosapi2timetabler.timetabler_db.TimetableSlot</class>
    <class>cz.cvut.fit.kosapi2timetabler.timetabler_db.ProgrammeOfStudy</class>
    <class>cz.cvut.fit.kosapi2timetabler.timetabler_db.Institution</class>
    <properties>
      <property name="hibernate.c3p0.timeout" value="0"/>
      <property name="connection.pool_size" value="1"/>
      <property name="javax.persistence.jdbc.url" value="jdbc:postgresql://testsys.fit.cvut.cz:5432/splus"/>
      <property name="javax.persistence.jdbc.user" value="splus"/>
      <property name="javax.persistence.jdbc.driver" value="org.postgresql.Driver"/>
      <property name="javax.persistence.jdbc.password" value="$3JHaFW5mbmv79JAp"/>
      <property name="javax.persistence.schema-generation.database.action" value="none"/>
    </properties>
  </persistence-unit>
</persistence>
